package swtpl.marsrover.net;

import swtpl.marsrover.map.MapStateEnum;

public class ObstacleEvent extends EventBase {
	private MapStateEnum msort;
	private int mposx;
	private int mposy;
	private int mradius;
	public ObstacleEvent(int timestamp,MapStateEnum sort,int x,int y,int radius) {
		super(timestamp);
		msort = sort;
		mposx = x;
		mposy = y;
		mradius = radius;
	}
	public MapStateEnum getSort() {
		return msort;
	}
	// in mm
	public int getX() {
		return mposx;
	}
	// in mm
	public int getY() {
		return mposy;
	}
	// in mm
	public int getRadius() {
		return mradius;
	}
}
