package swtpl.marsrover.gui;

import java.awt.Color;

public interface PaintObserver {
	public void addPainter(Painter p);
    public void fillCircle(int x, int y, int radius);
    public void drawCircle(int x, int y, int radius);
    public void drawLine(int x1, int y1, int x2, int y2);
    public void drawRectangle(int x, int y, int width, int height);
    public void setColor(Color c);
}
