package swtpl.marsrover.main;

import java.io.IOException;

import swtpl.marsrover.net.Connection;

public class TerminalControl {
	private Connection mcon;
	public TerminalControl(Connection con) {
		mcon = con;
	}
	public void startTerminalSession() throws IOException {
		int input;
		while( (input = System.in.read()) != -1 ) {
			switch( input ) {
			case 'a': 
				mcon.sendCommand(Connection.AccelerationCommand.ACCELERATE,Connection.TurningCommand.NONE);
				break;
			case 'b':
				mcon.sendCommand(Connection.AccelerationCommand.BREAK,Connection.TurningCommand.NONE);
				break;
			case 'l':
				mcon.sendCommand(Connection.AccelerationCommand.NONE,Connection.TurningCommand.LEFT);
				break;
			case 'r':
				mcon.sendCommand(Connection.AccelerationCommand.NONE,Connection.TurningCommand.RIGHT);
				break;
			default:
				break;
			}
		}
	}
}
