package swtpl.marsrover.net;

public class MartianEvent extends EventBase {
	private int mposx;
	private int mposy;
	private int mtenthdir;
	private int mspeed;
	public MartianEvent(int timestamp,int x,int y,int dir,int speed) {
		super(timestamp);
		mposx = x;
		mposy = y;
		mtenthdir = dir;
		mspeed = speed;
	}
	// in mm
	public int getX() {
		return mposx;
	}
	// in mm
	public int getY() {
		return mposy;
	}
	// in tenth degree
	public int getDir() {
		return mtenthdir;
	}
	// in mm per second
	public int getSpeed() {
		return mspeed;
	}
}
