package swtpl.marsrover.net;

public class RunContext {
	private static RunContext gContext;
	private int mdxmm;
	private int mdymm;
	private int mtimelimit;
	private int mminsensormm;
	private int mmaxsensormm;
	private int mmaxspeedmmps;
	private int mtenthdegps;
	private int mtenthdegpshard;
	public RunContext(int dxmm,int dymm,int timelimit,int minsensormm,int maxsensormm,int maxspeedmmps,int tenthdegps,int tenthdegpshard) {
		mdxmm = dxmm;
		mdymm = dymm;
		mtimelimit = timelimit;
		mminsensormm = minsensormm;
		mmaxsensormm = maxsensormm;
		mmaxspeedmmps = maxspeedmmps;
		mtenthdegps = tenthdegps;
		mtenthdegpshard = tenthdegpshard;
		gContext = this;
	}
	/**
	 * Get current context. 
	 * @return current context
	 */
	public static RunContext getCurrentContext() {
		return gContext;
	}
	
	// in millimeter
	public int getCardSizeX() {
		return mdxmm;
	}
	// in millimeter
	public int getCardSizeY() {
		return mdymm;
	}
	// in secs
	public int getTimeLimit() {
		return mtimelimit;
	}
	// in millimeter
	public int getMinSensorMM() {
		return mminsensormm;
	}
	// in millimeter
	public int getMaxSensorMM() {
		return mmaxsensormm;
	}
	// in millimeter per secs
	public int getMaxSpeedMMPerSecs() {
		return mmaxspeedmmps;
	}
	// in tenth degree per secs
	public int getTenthDegreePerSecsTurn() {
		return mtenthdegps;
	}
	// in tenth degree per secs
	public int getTenthDegreePerSecsHardTurn() {
		return mtenthdegpshard;
	}
}
